//
//  WiFiWeatherViewController.h
//  WiFiWeather
//
//  Created by Robert Kressin on 4/2/10.
//  Copyright KS Technologies 2010. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface WiFiWeatherViewController : UIViewController <UITableViewDelegate> {
	
	// User Interface
	IBOutlet UITextView *txtView;			// just display everything for now in a textView
	IBOutlet UITableView *dataTableView;	// list the data in a table view
	
	// Class Objects
	NSMutableData *data;					// Byte-level data packet received from sensor
	NSInputStream *iStream;					// input stream coming from the sensor
	NSOutputStream *oStream;				// output stream going to the sensor
	
	NSMutableArray *dataArray;				// Store all of the data in an array
	
}

@property( nonatomic, retain ) NSMutableArray *dataArray;
-(void) connectToServerUsingStream:(NSString *)urlString portNo: (uint) portNumber;

@end

